clutchlog::fmt::color_256 Struct Reference
Internal colors management in 256 and 16M colors modes.

Abstract base class for 256 colors objects (8-bits ANSI). More...

`#include <clutchlog.h>`

Inheritance diagram for clutchlog::fmt::color_256:
[legend]
Collaboration diagram for clutchlog::fmt::color_256:
[legend]

## Detailed Description

Abstract base class for 256 colors objects (8-bits ANSI).

Definition at line 509 of file clutchlog.h.

## Public Member Functions

| color_256 (ground t)
| Constructor. More...
| color_256 (ground t, const short i)
| Constructor. More...
bool | is_set () const
| Returns true if the underying representation encodes an existing color.
std::ostream & | print_on (std::ostream &os) const
| Print the color index on the given stream.
Public Member Functions inherited from clutchlog::fmt::color
| color (ansi a, ground g)
| Constructor. More...

## Public Attributes

short | index
| The encoded color index in 4-bits ANSI. More...
Public Attributes inherited from clutchlog::fmt::color
ansi | mode
enum clutchlog::fmt::color::ground | type
| Type of color (foreground or background).

## Additional Inherited Members

Public Types inherited from clutchlog::fmt::color
enum | ground { fore = 38, back = 48 }
| Codes for representing foreground or background.

## Constructor & Destructor Documentation

## color_256() [1/2]

clutchlog::fmt::color_256::color_256 | ( | ground | t | ) |

inline

Constructor.

Parameters

  t | Foreground or background tag.

Definition at line 518 of file clutchlog.h.

## color_256() [2/2]

clutchlog::fmt::color_256::color_256 | ( | ground | t,
|  | const short | i
| ) |  |

inline

Constructor.

Parameters

  t | Foreground or background tag.
  i | Color index (within [-1,255], -1 being "no color").

Definition at line 525 of file clutchlog.h.

## Member Data Documentation

## index

short clutchlog::fmt::color_256::index

The encoded color index in 4-bits ANSI.

"No color" is encoded as -1.

Definition at line 513 of file clutchlog.h.

Referenced by is_set(), and print_on().

The documentation for this struct was generated from the following file:

- clutchlog.h